# Application Linéaire

Nous parlons maintenant de fonctions.

Nous avons vu les fonctions:

- **Injective**: \\( \forall a_1, a_2 \in A \quad  a_1 \neq a_2 \implies f(a_1) \neq f(a_2)\\) 
- **Surjective**: \\( \forall b \in B \exists a \in A \quad f(a) = b \\)  (Tout les points sources ont une destination)
- **Bijective**: Injective & Surjective

[Rappels Fonctions](/math/logique/fonctions.md)

## Application Linéaire

- Soient \\( V_1, V_2 \subseteq \mathbb{R}^n \\)
    - On dit que \\( L: V_1 \to V_2\\) est une **Application Linéaire**  ssi
        1) \\( \forall u, v \in V_1 \quad L(u+v) = L(u) + L(v) \\) 
        2) \\( \forall \lambda \in \mathbb{R} \quad L(\lambda v) = \lambda L(v) \\) 

| Exemples  | Contre-Exemples |
| --------- | --------------- |
| L(x) = x  | L(x) = \|x\|    |
| L(x) = 2x | L(x) = 2x + 1   |
|           | L(x) = x²       |
|           | L(x) = sin(x)   |

## Image et Noyaux

- Soit \\( L: V_1 \to V_2 \\) Une application Linéaire
    - \\( Ker(L) = \\{ v \in V_1 \mid L(v)=0 \\} \\) Noyau de L
    - \\( Im(L) = \\{ v \in V_2 \mid \exists u \in V_1 \quad L(u) = v \\} \\) Image de L

